Get operation status

Returns the status of an async compute operation (create, delete, start, stop, reboot). Works for both cloud VM and GPU VM operations. Requires scope: vm.read.

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Path parameters

operation_idstringRequired

Operation ID returned by a create, delete, or power-action request.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Response

Operation returned successfully.
operation_idstring
vm_idstring
actionenum
statusenum
submitted_atdatetime
updated_atdatetime
current_stepstring or nullOptional
error_codestring or nullOptional
error_messagestring or nullOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error